Get execution status events
import requests
url = "https://platform.ankra.app/api/v1/org/executions/{execution_id}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/executions/{execution_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/executions/{execution_id}/events \
--header 'Authorization: Bearer <token>'{
"events": [
{
"created_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"step_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Executions
Get execution status events
GET
/
api
/
v1
/
org
/
executions
/
{execution_id}
/
events
Get execution status events
import requests
url = "https://platform.ankra.app/api/v1/org/executions/{execution_id}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/executions/{execution_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/executions/{execution_id}/events \
--header 'Authorization: Bearer <token>'{
"events": [
{
"created_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"step_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.